pi-vote - Task / Tache #976

PiVote fir Entwickler einfacher zuganglich machen
17 March 2011 17:23 - danilo

Status: Closed Start date: 17 March 2011
Priority: Low Due date:

Assignee: Exception % Done: 100%
Category: Usability Estimated time: 0.00 hour
Target version: PiVote 1.3.2.0

Description

Habs schon an anderen Orten erwahnt und es ist jeweils untergegangen, deshalb hier noch als Antrag:

1. Github wiirde den Zugang zum Sourcecode vereinfachen. Durch das System und die Philosophie werden Entwickler dazu
ermutigt, Forks der Software zu erstellen und sie zu verbessern. Durch das einfache System mit den Pull Requests kénnen
Anderungen auch einfach gegenseitig eingepflegt werden. Der benétigte SVN-Schreibzugang entfallt und auch
Aussenstehende kénnen die Software an ihre Anspriiche anpassen und so vielleicht zu unserer Software beitragen.

Das Argument dass wir Github nicht selber kontrollieren, gilt nicht. Es geht hier nicht um Nutzerdaten, sondern um eine Open
Source Software. Somit dirfte ich auch als Privatperson PiVote auf Github kopieren. Ich fands jedoch cooler, wenn dies die
Piratenpartei offiziell macht. Zudem kdnnte man die Commits auch per GPG signieren, um Authentizitat zu gewahrleisten.

2. Anleitung (am besten im Wiki) fur Entwickler um MonoDevelop und/oder Visual Studio so einzurichten, dass man PiVote
kompilieren kann. Vor allem auf benétigte Libraries etc. hinweisen. Bisher gabs damit noch Probleme. Beispiel:
https://projects.piratenpartei.ch/issues/922

3. Ein Makefile erstellen, um die Kompilierung auch auf der Kommandozeile einfach zu erméglichen. So kénnte man die Software
einfacher flr Linux-Distributionen paketieren.

Related issues:
Related to pi-vote - Bug / Feature #2546: Makefile erstellen Needs Work 17 February 2023 April 2013

History

#1 - 17 March 2011 17:26 - maennchen
@Punkt 3: Nicht nur Linux, auch Mac...

Es brauchte einer Version, die mit dem Package coccoa-sharp kompiliert werden kan.

#2 - 17 March 2011 17:37 - danilo

maennchen: GNU Make gibts doch auch fir Mac? Dann miisste man nur den Compiler im "Linux-Makefile" austauschen und hat eine brauchbare
Version.

#3 - 18 June 2011 21:11 - Exception
- Tracker changed from 2 to 3

- Project changed from 16 to pi-vote

- Category deleted (25)

- Priority changed from Normal to Low

#4 - 04 July 2011 17:29 - Exception
- Category set to Usability

- Target version set to Backlog

#5 - 23 September 2011 21:14 - Exception

- Status changed from New to 3

halfbarkeitsdatum abgelaufen...

#6 - 23 September 2011 21:14 - Exception
- Status changed from 3 to Closed
https://projects.piratenpartei.ch/issues/922

#7 - 23 September 2011 22:02 - danilo

Haltbarkeitsdatum? Was heisst denn das? Wurde das Ticket geldst oder nicht?

#8 - 27 December 2012 00:01 - Exception
- Target version changed from Backlog to PiVote 1.3.2.0
